org.keycloak.models.sessions.mem.entities

## Class ClientSessionEntity

- java.lang.Object
- - org.keycloak.models.sessions.mem.entities.ClientSessionEntity

-     public class ClientSessionEntity
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSessionEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientSessionModel.Action` | `getAction()`
    `String` | `getAuthMethod()`
    `String` | `getClientId()`
    `String` | `getId()`
    `Map<String,String>` | `getNotes()`
    `String` | `getRealmId()`
    `String` | `getRedirectUri()`
    `Set<String>` | `getRoles()`
    `UserSessionEntity` | `getSession()`
    `int` | `getTimestamp()`
    `void` | `setAction(ClientSessionModel.Action action)`
    `void` | `setAuthMethod(String authMethod)`
    `void` | `setClientId(String clientId)`
    `void` | `setId(String id)`
    `void` | `setRealmId(String realmId)`
    `void` | `setRedirectUri(String redirectUri)`
    `void` | `setRoles(Set<String> roles)`
    `void` | `setSession(UserSessionEntity session)`
    `void` | `setTimestamp(int timestamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientSessionEntity

          public ClientSessionEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getSession

          public UserSessionEntity getSession()

    - #### setSession

          public void setSession(UserSessionEntity session)

    - #### getRedirectUri

          public String getRedirectUri()

    - #### setRedirectUri

          public void setRedirectUri(String redirectUri)

    - #### getTimestamp

          public int getTimestamp()

    - #### setTimestamp

          public void setTimestamp(int timestamp)

    - #### getAction

          public ClientSessionModel.Action getAction()

    - #### setAction

          public void setAction(ClientSessionModel.Action action)

    - #### getRoles

          public Set<String> getRoles()

    - #### setRoles

          public void setRoles(Set<String> roles)

    - #### getNotes

          public Map<String,String> getNotes()

    - #### getAuthMethod

          public String getAuthMethod()

    - #### setAuthMethod

          public void setAuthMethod(String authMethod)

Copyright © 2015. All rights reserved.